Skip to main content
GET
/
network_flow_reports
Get all network flow reports
curl --request GET \
  --url https://api.vantage.sh/v2/network_flow_reports \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/network_flow_reports"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/network_flow_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "links": {
    "self": "https://api.vantage.sh/v2/network_flow_reports",
    "first": "https://api.vantage.sh/v2/network_flow_reports?page=1",
    "next": null,
    "last": "https://api.vantage.sh/v2/network_flow_reports?page=1",
    "prev": null
  },
  "network_flow_reports": [
    {
      "token": "ntflw_lg_rprt_185dd0e7ecbeefde",
      "title": "All Network Flow Logs",
      "default": false,
      "created_at": "2025-01-31T20:40:43Z",
      "workspace_token": "wrkspc_5e659968c5c9381c",
      "created_by_token": null,
      "start_date": "2025-01-24",
      "end_date": "2025-01-30",
      "date_interval": "last_7_days",
      "groupings": "resource_uuid,traffic_category,peer_resource_uuid",
      "flow_direction": null,
      "flow_weight": "costs",
      "filter": null
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer<int32>

The page of results to return.

limit
integer<int32>

The amount of results to return. The maximum is 1000.

Response

200 - application/json

NetworkFlowReports model

network_flow_reports
object[]
required